Edit

Delete vendor defaultDimensions (v1.0)

Deletes the default dimensions of the vendor in Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

DELETE businesscentralPrefix/companies({companyId})/vendors({vendorId})/defaultDimensions({vendorId},{dimensionId})

Request headers (v1.0)

Header Value
Authorization Bearer {token}. Required.
If-Match Required. When this request header is included and the eTag provided does not match the current tag on the vendors, the vendors will not be updated.

Request body (v1.0)

Do not supply a request body for this method.

Response (v1.0)

If successful, this method returns a 204 No Content response code and it deletes the default dimensions for the vendor and corresponding dimension.

Example (v1.0)

Request

Here is an example of the request.

DELETE https://{businesscentralPrefix}/api/v1.0/companies({companyId})/vendors({vendorId})/defaultDimensions({vendorId},{dimensionId})

Response

No Content.

Tips for working with the APIs

Vendor
Create vendor defaultDimensions
Update vendor defaultDimensions
Get vendor defaultDimensions